Skip to content
Start here

Release messages from quarantine

client.EmailSecurity.Investigate.Release.Bulk(ctx, params) (*SinglePage[InvestigateReleaseBulkResponse], error)
POST/accounts/{account_id}/email-security/investigate/release

Releases a quarantined email message, allowing it to be delivered to the recipient.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
ParametersExpand Collapse
params InvestigateReleaseBulkParams
AccountID param.Field[string]

Path param: Account Identifier

maxLength32
minLength32
Body param.Field[[]string]

Body param: A list of messages identfied by their postfix_ids that should be released.

ReturnsExpand Collapse
type InvestigateReleaseBulkResponse struct{…}
ID string
PostfixID string

The identifier of the message.

Delivered []stringoptional
Failed []stringoptional
Undelivered []stringoptional

Release messages from quarantine

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_security"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  page, err := client.EmailSecurity.Investigate.Release.Bulk(context.TODO(), email_security.InvestigateReleaseBulkParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Body: []string{"4Njp3P0STMz2c02Q"},
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "postfix_id": "4Njp3P0STMz2c02Q",
      "delivered": [
        "string"
      ],
      "failed": [
        "string"
      ],
      "undelivered": [
        "string"
      ]
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "postfix_id": "4Njp3P0STMz2c02Q",
      "delivered": [
        "string"
      ],
      "failed": [
        "string"
      ],
      "undelivered": [
        "string"
      ]
    }
  ],
  "success": true
}